Subject: bug#12156: Acknowledgement (bad tr command in SP2NL/NL2SP?)

From: David Fang <[email-masked]>
Date: Tue, 7 Aug 2012 22:13:50 -0400 (EDT)

I opened up a libtool script from a working build on a linux machine and 
saw:

# turn spaces into newlines.
SP2NL="tr \\040 \\012"

# turn newlines into spaces.
NL2SP="tr \\015\\012 \\040\\040"

I pasted-replaced that into the broken libtool script on darwin10.
I cleaned all .la files to remake them, and all of the above problems went 
away.

So I guess an ugly temporary workaround is to patch the 
configure-generated libtool script between configure && make?

Fang

-- 
David Fang
http://www.csl.cornell.edu/~fang/